@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0

ECHO 不要なファイルを削除します。
		IF EXIST	libclip.VC.db			DEL		libclip.VC.db
		IF EXIST	.vs\				RMDIR /S /Q	.vs\
		IF EXIST	Debug\				RMDIR /S /Q	Debug\
		IF EXIST	Release\			RMDIR /S /Q	Release\
		IF EXIST	x64\Debug\*.obj			DEL		x64\Debug\*.obj
		IF EXIST	x64\Debug\libclip.idb		DEL		x64\Debug\libclip.idb
		IF EXIST	x64\Debug\libclip.log		DEL		x64\Debug\libclip.log
REM #//		IF EXIST	x64\Debug\libclip.pdb		DEL		x64\Debug\libclip.pdb		⇒〜.pdbは削除してはいけない。理由は/clip/libclip/README.TXTの「Wed Feb 24 21:12:31 JST 2016 Naoyuki Sawa」のコメントを参照せよ。
REM #//		IF EXIST	x64\Debug\libclip.lib		DEL		x64\Debug\libclip.lib		⇒必要なファイルは残す事にした。削除する時は手で削除して下さい。
		IF EXIST	x64\Debug\libclip.tlog\		RMDIR /S /Q	x64\Debug\libclip.tlog\
		IF EXIST	x64\Release\*.obj		DEL		x64\Release\*.obj
		IF EXIST	x64\Release\libclip.idb		DEL		x64\Release\libclip.idb
		IF EXIST	x64\Release\libclip.log		DEL		x64\Release\libclip.log
		IF EXIST	x64\Release\libclip.pdb		DEL		x64\Release\libclip.pdb
REM #//		IF EXIST	x64\Release\libclip.lib		DEL		x64\Release\libclip.lib		⇒必要なファイルは残す事にした。削除する時は手で削除して下さい。
		IF EXIST	x64\Release\libclip.tlog\	RMDIR /S /Q	x64\Release\libclip.tlog\

		IF EXIST	00_test\x64\			RMDIR /S /Q	00_test\x64\
		IF EXIST	00_test\Debug\			RMDIR /S /Q	00_test\Debug\
		IF EXIST	00_test\Release\		RMDIR /S /Q	00_test\Release\
		IF EXIST	x64\Debug\00_test.*		DEL		x64\Debug\00_test.*
		IF EXIST	x64\Release\00_test.*		DEL		x64\Release\00_test.*
